// =================================================================================
//	CActiveXApp.h	 					1996 Microsoft Corporation. All rights reserved.
//										portions 1995 Metrowerks Inc. All rights reserved.
// =================================================================================

#pragma once

#include <LDocApplication.h>
#include "CComApp.h"
#include "CContainerManager.h"

class CActiveXApp : public LDocApplication,
					public CCOMApp,
					public CContainerManager
{
public:
							CActiveXApp();
	virtual 				~CActiveXApp();

	virtual void			FindCommandStatus( CommandT inCommand,
								Boolean &outEnabled, Boolean &outUsesMark,
								Char16 &outMark, Str255 outName );
	static CActiveXApp		*GetDefaultApplication(void) { return sDefaultApplication; };

protected:
	virtual void			StartUp();
	virtual void			OpenDocument( FSSpec *inMacFSSpec );
	virtual LModelObject *	MakeNewDocument();
	virtual void			ChooseDocument();

private:
	static CActiveXApp		*sDefaultApplication;
};
