// ===========================================================================
//	CComApp.cpp			   1996 Microsoft Corporation. All rights reserved.
// ===========================================================================

#include <compobj.h>
#include "CComApp.h"

Boolean CCOMApp::sCOMInited = false;

// ---------------------------------------------------------------------------------
//		 CCOMApp
// ---------------------------------------------------------------------------------

CCOMApp::CCOMApp(void)
{
	sCOMInited = ::CoInitialize(NULL) == S_OK;
}


// ---------------------------------------------------------------------------------
//		 ~CCOMApp
// ---------------------------------------------------------------------------------

CCOMApp::~CCOMApp(void)
{
	if (sCOMInited)
	{
		::CoUninitialize();
		sCOMInited = false;
	}
}
